=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends:
   cmake,
   debhelper (>= 12),
+# TODO: Enable this after we drop support for Ubuntu 20.04.
+#  gi-docgen,
   git,
   gobject-introspection,
-  gtk-doc-tools,
   libboost-filesystem-dev,
   libboost-system-dev,
   libbrotli-dev,
@@ -41,7 +42,7 @@
 Standards-Version: 3.9.8
 Homepage: https://arrow.apache.org/
 
-Package: libarrow1500
+Package: libarrow1600
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -61,12 +62,12 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1500 (= ${binary:Version})
+  libarrow1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides tools.
 
-Package: libarrow-cuda1500
+Package: libarrow-cuda1600
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -74,60 +75,60 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1500 (= ${binary:Version})
+  libarrow1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for CUDA support.
 
-Package: libarrow-acero1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1500 (= ${binary:Version})
+Package: libarrow-acero1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Acero module.
 
-Package: libarrow-dataset1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-acero1500 (= ${binary:Version}),
-  libparquet1500 (= ${binary:Version})
+Package: libarrow-dataset1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-acero1600 (= ${binary:Version}),
+  libparquet1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Dataset module.
 
-Package: libarrow-flight1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1500 (= ${binary:Version})
+Package: libarrow-flight1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight RPC system.
 
-Package: libarrow-flight-sql1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-flight1500 (= ${binary:Version})
+Package: libarrow-flight-sql1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-flight1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight SQL system.
@@ -138,12 +139,14 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow1500 (= ${binary:Version}),
+  libarrow1600 (= ${binary:Version}),
   libbrotli-dev,
   libbz2-dev,
   libcurl4-openssl-dev,
   liblz4-dev,
   libc-ares-dev,
+  libprotobuf-dev,
+  libprotoc-dev,
   libre2-dev,
   libsnappy-dev,
   libssl-dev,
@@ -163,7 +166,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-cuda1500 (= ${binary:Version})
+  libarrow-cuda1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for CUDA support.
@@ -174,7 +177,7 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow-acero1500 (= ${binary:Version}),
+  libarrow-acero1600 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -187,7 +190,7 @@
 Depends:
   ${misc:Depends},
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-dataset1500 (= ${binary:Version}),
+  libarrow-dataset1600 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -200,11 +203,9 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-flight1500 (= ${binary:Version}),
+  libarrow-flight1600 (= ${binary:Version}),
   libc-ares-dev,
-  libgrpc++-dev,
-  libprotobuf-dev,
-  libprotoc-dev
+  libgrpc++-dev
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight RPC system.
@@ -216,20 +217,20 @@
 Depends:
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
-  libarrow-flight-sql1500 (= ${binary:Version})
+  libarrow-flight-sql1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight SQL system.
 
-Package: libgandiva1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1500 (= ${binary:Version})
+Package: libgandiva1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1600 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
@@ -242,13 +243,13 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libgandiva1500 (= ${binary:Version})
+  libgandiva1600 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
  This package provides C++ header files.
 
-Package: libparquet1500
+Package: libparquet1600
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -268,7 +269,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libparquet1500 (= ${binary:Version})
+  libparquet1600 (= ${binary:Version})
 Description: Apache Parquet is a columnar storage format
  .
  This package provides tools.
@@ -280,21 +281,21 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libparquet1500 (= ${binary:Version}),
+  libparquet1600 (= ${binary:Version}),
   libthrift-dev
 Description: Apache Parquet is a columnar storage format
  .
  This package provides C++ header files.
 
-Package: libarrow-glib1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1500 (= ${binary:Version})
+Package: libarrow-glib1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files.
@@ -318,7 +319,7 @@
   ${misc:Depends},
   libglib2.0-dev,
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-glib1500 (= ${binary:Version}),
+  libarrow-glib1600 (= ${binary:Version}),
   gir1.2-arrow-1.0 (= ${binary:Version})
 Suggests: libarrow-glib-doc
 Description: Apache Arrow is a data processing library for analysis
@@ -336,7 +337,7 @@
  .
  This package provides documentations.
 
-Package: libarrow-cuda-glib1500
+Package: libarrow-cuda-glib1600
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -344,8 +345,8 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow-glib1500 (= ${binary:Version}),
-  libarrow-cuda1500 (= ${binary:Version})
+  libarrow-glib1600 (= ${binary:Version}),
+  libarrow-cuda1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for CUDA support.
@@ -370,22 +371,22 @@
   ${misc:Depends},
   libarrow-cuda-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-cuda-glib1500 (= ${binary:Version}),
+  libarrow-cuda-glib1600 (= ${binary:Version}),
   gir1.2-arrow-cuda-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based header files for CUDA support.
 
-Package: libarrow-dataset-glib1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1500 (= ${binary:Version}),
-  libarrow-dataset1500 (= ${binary:Version})
+Package: libarrow-dataset-glib1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib1600 (= ${binary:Version}),
+  libarrow-dataset1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for dataset module.
@@ -410,7 +411,7 @@
   ${misc:Depends},
   libarrow-dataset-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-dataset-glib1500 (= ${binary:Version}),
+  libarrow-dataset-glib1600 (= ${binary:Version}),
   gir1.2-arrow-dataset-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -427,16 +428,16 @@
  .
  This package provides documentations for dataset module.
 
-Package: libarrow-flight-glib1500
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1500 (= ${binary:Version}),
-  libarrow-flight1500 (= ${binary:Version})
+Package: libarrow-flight-glib1600
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib1600 (= ${binary:Version}),
+  libarrow-flight1600 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for Apache Arrow Flight.
@@ -462,14 +463,10 @@
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-flight-glib1500 (= ${binary:Version}),
+  libarrow-flight-glib1600 (= ${binary:Version}),
   gir1.2-arrow-flight-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based header files for Apache Arrow Flight.
 
 Package: libarrow-flight-glib-doc
-Section: doc
-Architecture: any
-Multi-Arch: foreign
-Depends:
