## apache-arrow 16.1.0

=== debian/changelog ===
apache-arrow (16.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Raúl Cumplido <raulcumplido@gmail.com>  Thu, 09 May 2024 07:21:29 -0000
