## apache-arrow 19.0.1

=== debian/changelog ===
apache-arrow (19.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Bryce Mecum <petridish@gmail.com>  Wed, 12 Feb 2025 00:04:14 -0000

apache-arrow (19.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Bryce Mecum <petridish@gmail.com>  Sat, 11 Jan 2025 04:17:56 -0000

apache-arrow (18.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Bryce Mecum <petridish@gmail.com>  Wed, 13 Nov 2024 21:34:10 -0000

apache-arrow (18.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 16 Oct 2024 09:20:06 -0000

apache-arrow (17.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Raúl Cumplido <raulcumplido@gmail.com>  Thu, 11 Jul 2024 08:57:21 -0000
