=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
   libssl-dev,
   libthrift-dev,
   libutf8proc-dev,
+  libxxhash-dev,
   libzstd-dev,
   meson,
   ninja-build,
@@ -42,7 +43,7 @@
 Standards-Version: 3.9.8
 Homepage: https://arrow.apache.org/
 
-Package: libarrow1600
+Package: libarrow1900
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -62,12 +63,12 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1600 (= ${binary:Version})
+  libarrow1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides tools.
 
-Package: libarrow-cuda1600
+Package: libarrow-cuda1900
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -75,60 +76,60 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1600 (= ${binary:Version})
+  libarrow1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for CUDA support.
 
-Package: libarrow-acero1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1600 (= ${binary:Version})
+Package: libarrow-acero1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Acero module.
 
-Package: libarrow-dataset1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-acero1600 (= ${binary:Version}),
-  libparquet1600 (= ${binary:Version})
+Package: libarrow-dataset1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-acero1900 (= ${binary:Version}),
+  libparquet1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Dataset module.
 
-Package: libarrow-flight1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1600 (= ${binary:Version})
+Package: libarrow-flight1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight RPC system.
 
-Package: libarrow-flight-sql1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-flight1600 (= ${binary:Version})
+Package: libarrow-flight-sql1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-flight1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight SQL system.
@@ -139,7 +140,8 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow1600 (= ${binary:Version}),
+  libarrow1900 (= ${binary:Version}),
+  libabsl-dev,
   libbrotli-dev,
   libbz2-dev,
   libcurl4-openssl-dev,
@@ -151,6 +153,7 @@
   libsnappy-dev,
   libssl-dev,
   libutf8proc-dev,
+  libxxhash-dev,
   libzstd-dev,
   nlohmann-json-dev | nlohmann-json3-dev,
   protobuf-compiler-grpc,
@@ -166,7 +169,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-cuda1600 (= ${binary:Version})
+  libarrow-cuda1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for CUDA support.
@@ -177,7 +180,7 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow-acero1600 (= ${binary:Version}),
+  libarrow-acero1900 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -190,7 +193,7 @@
 Depends:
   ${misc:Depends},
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-dataset1600 (= ${binary:Version}),
+  libarrow-dataset1900 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -203,7 +206,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-flight1600 (= ${binary:Version}),
+  libarrow-flight1900 (= ${binary:Version}),
   libc-ares-dev,
   libgrpc++-dev
 Description: Apache Arrow is a data processing library for analysis
@@ -217,20 +220,20 @@
 Depends:
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
-  libarrow-flight-sql1600 (= ${binary:Version})
+  libarrow-flight-sql1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight SQL system.
 
-Package: libgandiva1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1600 (= ${binary:Version})
+Package: libgandiva1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1900 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
@@ -243,13 +246,13 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libgandiva1600 (= ${binary:Version})
+  libgandiva1900 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
  This package provides C++ header files.
 
-Package: libparquet1600
+Package: libparquet1900
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -269,7 +272,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libparquet1600 (= ${binary:Version})
+  libparquet1900 (= ${binary:Version})
 Description: Apache Parquet is a columnar storage format
  .
  This package provides tools.
@@ -281,21 +284,21 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libparquet1600 (= ${binary:Version}),
+  libparquet1900 (= ${binary:Version}),
   libthrift-dev
 Description: Apache Parquet is a columnar storage format
  .
  This package provides C++ header files.
 
-Package: libarrow-glib1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1600 (= ${binary:Version})
+Package: libarrow-glib1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files.
@@ -319,7 +322,7 @@
   ${misc:Depends},
   libglib2.0-dev,
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-glib1600 (= ${binary:Version}),
+  libarrow-glib1900 (= ${binary:Version}),
   gir1.2-arrow-1.0 (= ${binary:Version})
 Suggests: libarrow-glib-doc
 Description: Apache Arrow is a data processing library for analysis
@@ -337,7 +340,7 @@
  .
  This package provides documentations.
 
-Package: libarrow-cuda-glib1600
+Package: libarrow-cuda-glib1900
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -345,8 +348,8 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow-glib1600 (= ${binary:Version}),
-  libarrow-cuda1600 (= ${binary:Version})
+  libarrow-glib1900 (= ${binary:Version}),
+  libarrow-cuda1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for CUDA support.
@@ -371,22 +374,22 @@
   ${misc:Depends},
   libarrow-cuda-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-cuda-glib1600 (= ${binary:Version}),
+  libarrow-cuda-glib1900 (= ${binary:Version}),
   gir1.2-arrow-cuda-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based header files for CUDA support.
 
-Package: libarrow-dataset-glib1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1600 (= ${binary:Version}),
-  libarrow-dataset1600 (= ${binary:Version})
+Package: libarrow-dataset-glib1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib1900 (= ${binary:Version}),
+  libarrow-dataset1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for dataset module.
@@ -411,7 +414,7 @@
   ${misc:Depends},
   libarrow-dataset-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-dataset-glib1600 (= ${binary:Version}),
+  libarrow-dataset-glib1900 (= ${binary:Version}),
   gir1.2-arrow-dataset-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -428,16 +431,16 @@
  .
  This package provides documentations for dataset module.
 
-Package: libarrow-flight-glib1600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1600 (= ${binary:Version}),
-  libarrow-flight1600 (= ${binary:Version})
+Package: libarrow-flight-glib1900
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib1900 (= ${binary:Version}),
+  libarrow-flight1900 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for Apache Arrow Flight.
@@ -463,10 +466,7 @@
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-flight-glib1600 (= ${binary:Version}),
+  libarrow-flight-glib1900 (= ${binary:Version}),
   gir1.2-arrow-flight-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
- This package provides GLib based header files for Apache Arrow Flight.
-
-Package: libarrow-flight-glib-doc
