## apache-arrow 20.0.0

=== debian/changelog ===
apache-arrow (20.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Jacob Wujciak-Jens <jacob@wujciak.de>  Tue, 22 Apr 2025 21:15:57 -0000
