=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
   cmake,
   debhelper (>= 12),
-# TODO: Enable this after we drop support for Ubuntu 20.04.
-#  gi-docgen,
+  gi-docgen,
   git,
   gobject-introspection,
   libboost-filesystem-dev,
@@ -36,14 +35,14 @@
   pkg-config,
   protobuf-compiler,
   protobuf-compiler-grpc,
+  tzdata,
   valac,
-  tzdata,
   zlib1g-dev
 Build-Depends-Indep: libglib2.0-doc
 Standards-Version: 3.9.8
 Homepage: https://arrow.apache.org/
 
-Package: libarrow1900
+Package: libarrow2000
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -63,12 +62,12 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1900 (= ${binary:Version})
+  libarrow2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides tools.
 
-Package: libarrow-cuda1900
+Package: libarrow-cuda2000
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -76,60 +75,60 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1900 (= ${binary:Version})
+  libarrow2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for CUDA support.
 
-Package: libarrow-acero1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1900 (= ${binary:Version})
+Package: libarrow-acero2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Acero module.
 
-Package: libarrow-dataset1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-acero1900 (= ${binary:Version}),
-  libparquet1900 (= ${binary:Version})
+Package: libarrow-dataset2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-acero2000 (= ${binary:Version}),
+  libparquet2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Dataset module.
 
-Package: libarrow-flight1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1900 (= ${binary:Version})
+Package: libarrow-flight2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight RPC system.
 
-Package: libarrow-flight-sql1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-flight1900 (= ${binary:Version})
+Package: libarrow-flight-sql2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-flight2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight SQL system.
@@ -140,13 +139,13 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow1900 (= ${binary:Version}),
   libabsl-dev,
+  libarrow2000 (= ${binary:Version}),
   libbrotli-dev,
   libbz2-dev,
+  libc-ares-dev,
   libcurl4-openssl-dev,
   liblz4-dev,
-  libc-ares-dev,
   libprotobuf-dev,
   libprotoc-dev,
   libre2-dev,
@@ -169,7 +168,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-cuda1900 (= ${binary:Version})
+  libarrow-cuda2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for CUDA support.
@@ -180,7 +179,7 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow-acero1900 (= ${binary:Version}),
+  libarrow-acero2000 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -193,7 +192,7 @@
 Depends:
   ${misc:Depends},
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-dataset1900 (= ${binary:Version}),
+  libarrow-dataset2000 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -206,7 +205,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-flight1900 (= ${binary:Version}),
+  libarrow-flight2000 (= ${binary:Version}),
   libc-ares-dev,
   libgrpc++-dev
 Description: Apache Arrow is a data processing library for analysis
@@ -220,20 +219,20 @@
 Depends:
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
-  libarrow-flight-sql1900 (= ${binary:Version})
+  libarrow-flight-sql2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight SQL system.
 
-Package: libgandiva1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1900 (= ${binary:Version})
+Package: libgandiva2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow2000 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
@@ -246,13 +245,13 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libgandiva1900 (= ${binary:Version})
+  libgandiva2000 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
  This package provides C++ header files.
 
-Package: libparquet1900
+Package: libparquet2000
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -272,7 +271,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libparquet1900 (= ${binary:Version})
+  libparquet2000 (= ${binary:Version})
 Description: Apache Parquet is a columnar storage format
  .
  This package provides tools.
@@ -284,21 +283,21 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libparquet1900 (= ${binary:Version}),
+  libparquet2000 (= ${binary:Version}),
   libthrift-dev
 Description: Apache Parquet is a columnar storage format
  .
  This package provides C++ header files.
 
-Package: libarrow-glib1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1900 (= ${binary:Version})
+Package: libarrow-glib2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files.
@@ -322,7 +321,7 @@
   ${misc:Depends},
   libglib2.0-dev,
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-glib1900 (= ${binary:Version}),
+  libarrow-glib2000 (= ${binary:Version}),
   gir1.2-arrow-1.0 (= ${binary:Version})
 Suggests: libarrow-glib-doc
 Description: Apache Arrow is a data processing library for analysis
@@ -340,7 +339,7 @@
  .
  This package provides documentations.
 
-Package: libarrow-cuda-glib1900
+Package: libarrow-cuda-glib2000
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -348,8 +347,8 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow-glib1900 (= ${binary:Version}),
-  libarrow-cuda1900 (= ${binary:Version})
+  libarrow-glib2000 (= ${binary:Version}),
+  libarrow-cuda2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for CUDA support.
@@ -374,22 +373,22 @@
   ${misc:Depends},
   libarrow-cuda-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-cuda-glib1900 (= ${binary:Version}),
+  libarrow-cuda-glib2000 (= ${binary:Version}),
   gir1.2-arrow-cuda-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based header files for CUDA support.
 
-Package: libarrow-dataset-glib1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1900 (= ${binary:Version}),
-  libarrow-dataset1900 (= ${binary:Version})
+Package: libarrow-dataset-glib2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib2000 (= ${binary:Version}),
+  libarrow-dataset2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for dataset module.
@@ -414,7 +413,7 @@
   ${misc:Depends},
   libarrow-dataset-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-dataset-glib1900 (= ${binary:Version}),
+  libarrow-dataset-glib2000 (= ${binary:Version}),
   gir1.2-arrow-dataset-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -431,16 +430,16 @@
  .
  This package provides documentations for dataset module.
 
-Package: libarrow-flight-glib1900
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1900 (= ${binary:Version}),
-  libarrow-flight1900 (= ${binary:Version})
+Package: libarrow-flight-glib2000
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib2000 (= ${binary:Version}),
+  libarrow-flight2000 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for Apache Arrow Flight.
@@ -466,7 +465,11 @@
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-flight-glib1900 (= ${binary:Version}),
+  libarrow-flight-glib2000 (= ${binary:Version}),
   gir1.2-arrow-flight-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
+ This package provides GLib based header files for Apache Arrow Flight.
+
+Package: libarrow-flight-glib-doc
+Section: doc
